<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Internet Search Engine
'**                                                              
'**  Copyright 2001-2002 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  under the terms of the License that accompanies this software and use it both 
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program; 
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**    
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************



Response.Buffer = True 

'Dimension variables
Dim rsLinks
Dim strWebsite
Dim intSiteID
Dim lngTotalRateAmount
Dim lngNoOfRatings
Dim intRating
Dim intNewRating
Dim blnSavedRating

'Initialise varibles
blnSavedRating = False

'Read in the site ID number
intSiteID = CInt(Request.QueryString("SiteID"))

If isEmpty(Request.QueryString("Rating")) = False Or isNumeric(Request.QueryString("Rating")) = False Then 
	intRating = CInt(Request.QueryString("Rating"))
Else
	intRating = -1
End If

'Craete a recorset object
Set rsLinks = Server.CreateObject("ADODB.Recordset")
	
'Initalise the read in the link details from the database
strSQL = "SELECT tblWebsites.Title, tblWebsites.Total_rate_amount, tblWebsites.No_of_ratings, tblWebsites.Rating " 
strSQL = strSQL & "FROM tblWebsites "
strSQL = strSQL & "WHERE tblWebsites.SiteIDNo = " & intSiteID & ";"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsLinks.CursorType = 2
	
'Set the Lock Type for the records so that the record set is only locked when it is updated
rsLinks.LockType = 3
		
'Query the database
rsLinks.Open strSQL, strCon

'Read in the Website Title
If NOT rsLinks.EOF Then strWebsite = rsLinks("Title")

'If the user has selected a star rating workout the new rating and save to DB
If intRating >= 0 AND intRating <= 5 AND NOT rsLinks.EOF AND NOT Request.Cookies("RateSite")("Site" & intSiteID) = "True" Then

	'Read in the amount from the database
	lngNoOfRatings = CLng(rsLinks("No_of_ratings"))
	lngTotalRateAmount = CLng(rsLinks("Total_rate_amount"))
	
	'Add 1 to the number of ratings
	lngNoOfRatings = lngNoOfRatings + 1
	
	'Add the new rating amount to the number of ratings
	lngTotalRateAmount = lngTotalRateAmount + intRating 
	
	'Get the new average of ratings by dividing the total amount rate by the number of ratings
	intNewRating = (lngTotalRateAmount / lngNoOfRatings)
	
	'Update the recordset
	rsLinks.Fields("No_of_ratings") = lngNoOfRatings
	rsLinks.Fields("Total_rate_amount") = lngTotalRateAmount
	rsLinks.Fields("Rating") = intNewRating

	'Update the database
	rsLinks.Update

	
	'Set a cookie to stop repeated votes
	Response.Cookies("RateSite")("Site" & intSiteID) = "True"
	Response.Cookies("RateSite").Expires = Now() + 7

		
	'Set the saved rating boolen to true
	blnSavedRating = True
End If

'Reset server variables  
Set adoCon = Nothing
Set strCon = Nothing
rsLinks.Close
Set rsLinks = Nothing   
%>  
<html>
<head>
<title>Rate Links</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<!-- The Web Wiz Guide Internet Search Engine is written by Bruce Corkhill 2001
   	  If you want your own Internet Search Engine then goto http://www.webwizguide.info -->

<script language="JavaScript">
<!-- Hide from older browsers
// Function to add the rating to the database
function Rating(star) {

	if (star != "") self.location.href = "rate_link.asp?SiteID=<% = intSiteID %>&Rating=" + star;
	return true;
}
// -->
</script>

<style type="text/css">
<!--
.text {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>}
.bold {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>; font-weight: bold;}
.heading {font-family: <% = strTextType %>; font-size: 24px; color: <% = strTextColour %>; font-weight: bold;}
a {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strLinkColour %>}
a:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
a:visited {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strVisitedLinkColour %>}
a:visited:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}

-->
</style>
		 
</head>
<body bgcolor="<% = strBgColour %>" text="<% = strTextColour %>" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="98%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td align="center" class="heading">Rate Link</td>
  </tr>
</table>
<%
'Let the user know there rating has been saved
If blnSavedRating = True Then
%>
<table width="100%" border="0" cellspacing="0" cellpadding="1" height="177">
  <tr>
    <td align="center" class="text" height="186">Thank-you for your vote<br>
      <br>
      Your vote has now been added to star rating for<br><span class="bold"><% = strWebsite %>'s</span> Web Site<br>
      <br>
      <br>
    </td>
  </tr>
</table>
<%
'If the user has already rated the web site then display an error message
ElseIf Request.Cookies("RateSite")("Site" & intSiteID) = "True" Then
%>
<table width="100%" border="0" cellspacing="0" cellpadding="1" height="177">
  <tr>
    <td align="center" class="text" height="186">Sorry, you have already voted for<br><span class="bold"><% = strWebsite %>'s</span> Web Site in the last week<br>
      <br>
      <br>
    </td>
  </tr>
</table>
<%
Else
%>
<table width="100%" border="0" cellspacing="0" cellpadding="2" align="center">
  <tr>
    <td align="center" height="137"><span class="text">Click on number of stars you will give<br><span class="bold"><% = strWebsite %>'s</span> Web Site</span><br>
      <br>
      <table width="215" border="0" cellspacing="0" cellpadding="1" height="22" bgcolor="#000000">
        <tr>
          <td>
            <table width="100%" border="0" cellspacing="0" cellpadding="4" bgcolor="#FFFFFF">
              <tr> 
                <td width="50" class="text"><a href="JavaScript:Rating('0')"><img src="images/0_star_rating.gif" width="66" height="14" alt="0 Stars" border="0"></a></td>
                <td width="154" class="text">Avoid at all costs</td>
              </tr>
              <tr> 
                <td width="50" class="text"><a href="JavaScript:Rating('1')"><img src="images/1_star_rating.gif" width="66" height="14" alt="1 Star" border="0"></a></td>
                <td width="154" class="text">Not worth viewing</td>
              </tr>
              <tr> 
                <td width="50" class="text"><a href="JavaScript:Rating('2')"><img src="images/2_star_rating.gif" width="66" height="14" alt="2 Stars" border="0"></a></td>
                <td width="154" class="text">A few good bits</td>
              </tr>
              <tr> 
                <td width="50" class="text"><a href="JavaScript:Rating('3')"><img src="images/3_star_rating.gif" width="66" height="14" alt="3 Stars" border="0"></a></td>
                <td width="154" class="text">OK</td>
              </tr>
              <tr> 
                <td width="50" class="text"><a href="JavaScript:Rating('4')"><img src="images/4_star_rating.gif" width="66" height="14" alt="4 Stars" border="0"></a></td>
                <td width="154" class="text">Excellent</td>
              </tr>
              <tr> 
                <td width="50" class="text"><a href="JavaScript:Rating('5')"><img src="images/5_star_rating.gif" width="66" height="14" alt="5 Stars" border="0"></a></td>
                <td width="154" class="text">Can't be missed</td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<%
End If
%>
<table width="98%" border="0" cellspacing="0" cellpadding="4" align="center">
  <tr>
    <td align="center" height="34"><a href="JavaScript:onClick=window.close()">Close Window</a><br>
      <br>
      <a href="http://www.webwizguide.info" target="_blank"><img src="images/web_wiz_guide.gif" width="100" height="30" border="0" alt="Web Wiz Guide!"></a> 
    </td>
  </tr>
</table>
</body>
</html>
