<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Internet Search Engine
'**                                                              
'**  Copyright 2001-2002 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  under the terms of the License that accompanies this software and use it both 
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program; 
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**    
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************



'Dimension variables
Dim rsAddURL				'Recordset object
Dim strInputTitle 			'Holds the URL Title
Dim strInputURL 			'Holds the URL
Dim strInputDescription 		'Holds the description of the URL
Dim strInputKeywords 			'Holds the keywords for the URL
Dim saryDescriptionWord 		'Array to hold each word in the description enetred by the user
Dim intCheckWordLengthLoopCounter	'Loop counter
Dim intWordLength			'Holds the length of the word to be checked
Dim blnWordLenthOK			'Boolean set to False if any words in the description are above 30 characters
Dim intLongestWordLength 		'Holds the number of characters in the longest word entered in the description
Dim blnNewURL				'set to false if the URL is already in the database

'Initialse variables
blnWordLenthOK = True
blnNewURL = False

'Read in user deatils from the add URL form
strInputTitle = Request.Form("title")
strInputURL = Request.Form("url")
strInputDescription = Request.Form("description")
strInputKeywords = Request.Form("keywords")


'Where someones has pressed return in there description replace this with a space 
'as otherwise the last word and first word on the line are seen as one word and may go over the 30 chraracter limit
strInputDescription = Replace(strInputDescription, vbCrLf, " ")


'Split-up each word in the description from the user to check that no word entered is over 30 characters
saryDescriptionWord = Split(Trim(strInputDescription), " ")
	

'Loop round to check that each word in the description entered by the user is not above the 30 characters
For intCheckWordLengthLoopCounter = 0 To UBound(saryDescriptionWord)
	
	'Initialise the intWordLength variable with the length of the word to be searched
	intWordLength = Len(saryDescriptionWord(intCheckWordLengthLoopCounter))
	
	'Get the number of characters in the longest word
	If intWordLength => intLongestWordLength Then 
		intLongestWordLength = intWordLength
	End If
		
	'If the word length to be searched is more than or equal to 30 then set the blnWordLegthOK to false
	If intWordLength => 30 Then 
		blnWordLenthOK = False
				
	End If
Next


'Get rid of scripting tags
strInputTitle = Replace(strInputTitle, "<", "&lt;")
strInputTitle = Replace(strInputTitle, ">", "&gt;")
strInputDescription = Replace(strInputDescription, "<", "&lt;")
strInputDescription = Replace(strInputDescription, ">", "&gt;")


'If the user has entered no words over 30 characters then write to database 
If blnWordLenthOK = True Then
	
	'create a recordset object
	Set rsAddURL = Server.CreateObject("ADODB.Recordset")
	
	'Initalise the strSQL variable with an SQL statement to get all the URLs from database
	strSQL = "SELECT tblWebsites.* FROM tblWebsites WHERE tblWebsites.URL = '" & strInputURL & "';"
	
	'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
	rsAddURL.CursorType = 2
	
	'Set the Lock Type for the records so that the record set is only locked when it is updated
	rsAddURL.LockType = 3
			
	'Query the database
	rsAddURL.Open strSQL, adoCon
	
	'If there are no records returned by the recordset then it's a new URL
	If rsAddURL.EOF Then 
		
		'Set the new URL booleon to True
		blnNewURL = True
		
		'Tell the recordset this is a new record
		rsAddURL.AddNew
	End If
	
	'Place the users input in the recorset
	rsAddURL.Fields("Title") = strInputTitle
	rsAddURL.Fields("URL") = strInputURL
	rsAddURL.Fields("Description") = strInputDescription
	rsAddURL.Fields("Keywords") = strInputKeywords
	rsAddURL.Fields("Date_Entered") = Now()
	
	'Update the database
	rsAddURL.Update
	
	'Close Sever Objects 
	Set rsAddURL = Nothing
	Set strCon = Nothing
	Set adoCon = Nothing
End If

%>
<HTML> 
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<TITLE>Add New URL</TITLE>


<!-- The Web Wiz Guide Internet Search Engine is written by Bruce Corkhill 2001
   	  If you want your own Internet Search Engine then goto http://www.webwizguide.info --> 

<style type="text/css">
<!--
.text {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>}
.heading {font-family: <% = strTextType %>; font-size: 24px; color: <% = strTextColour %>; font-weight: bold;}
a {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strLinkColour %>}
a:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
a:visited {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strVisitedLinkColour %>}
a:visited:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
-->
</style>
	   
</head>
<body bgcolor="<% = strBgColour %>" text="<% = strTextColour %>">
<div align="center"><span class="heading">Add New URL<br>
  </span>
  <br><br>
  <%

'If any of the words in the description are above 30 chracters then disoplay an error message
If blnWordLenthOK = False Then
	Response.Write "<span class=""text"">Sorry the URL " & strInputURL & " has <span style=""font-weight: bold;"">NOT been added</span>You have used a word in your discription that has " & intLongestWordLength & " characters, this is to many!</span>"
	Response.Write "<br><br><a href=""javascript:history.back(1)"" target=""_self"">Edit the URL Description Entered</a>"

'If the URL has already been entered then display a message asying the URL has been updated
ElseIf  blnNewURL = False Then
	Response.Write "<span class=""text"">Thank-you for updating " & strInputURL & "<br>The URL entered has been updated</span>"
	Response.Write "<br><br><a href=""add_url_form.asp"" target=""_self"">Add another URL</a>"

'Else display that the new URL has been entered into the database
Else
	Response.Write "<span class=""text"">Thank-you for entering " & strInputURL & "<br>The URL has been entered to the search engine database</span>"
	Response.Write "<br><br><a href=""add_url_form.asp"" target=""_self"">Add another URL</a>"
End If
%>
 <br>
  <br>
  <a href="default.asp" target="_self"> Return to the search engine</a><br>
  <br>
</div>
<div align="center"> <br>
</div>
</body>
</html>